<?php
/**
 * Created by PhpStorm.
 * User: mhmj
 * Date: 18/07/2019
 * Time: 12:19 PM
 */

namespace App\Classes\Modules\FreightForwarder\DataTransferObjects;


class ServiceObject
{
    /** @var  int */
    private $type;

    /** @var  int */
    private $forwarderId;

    /** @var  String */
    private $name;

    /** @var  String|null */
    private $description;

    /** @var  float */
    private $cost;

    /**
     * ServiceObject constructor.
     * @param int $type
     * @param int $forwarderId
     * @param null|String $name
     * @param null|String $description
     * @param float|null $cost
     */
    public function __construct(int $type, int $forwarderId, string $name, ?string $description, float $cost)
    {
        $this->type = $type;
        $this->forwarderId = $forwarderId;
        $this->name = $name;
        $this->description = $description;
        $this->cost = $cost;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return int
     */
    public function getForwarderId(): int
    {
        return $this->forwarderId;
    }

    /**
     * @return String
     */
    public function getName(): String
    {
        return $this->name;
    }

    /**
     * @return null|String
     */
    public function getDescription(): ?String
    {
        return $this->description;
    }

    /**
     * @return float
     */
    public function getCost(): float
    {
        return $this->cost;
    }

}